
package nlib.col.service;

import java.util.List;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

public interface RisService
{
	public DataApiResVO listItems(DataApiReqVO reqVO);

	public DataApiResVO insertInterest(DataApiReqVO reqVO);

	public DataApiResVO reserveItem(DataApiReqVO reqVO);

	public DataApiResVO viewOriginalCopy(DataApiReqVO reqVO);

	public DataApiResVO requestViewingItem(DataApiReqVO reqVO);

	public DataApiResVO selectItemInfo(DataApiReqVO reqVO);

	public RisVO selectRisInfo(RisVO vo);
	
	public List<DeptVO> selectOrgList();

	public List<CollectionVO> listItems(CollectionVO searchCollectionVO);

	public int countListItems(CollectionVO searchCollectionVO);

}